## org.eclipse.emf.codegen.merge.java
Class JControlModel.DictionaryPattern

    java.lang.Object
      org.eclipse.emf.codegen.merge.java.JControlModel.DictionaryPattern

Direct Known Subclasses:
  JControlModel.DictionaryPattern

Enclosing class:
  JControlModel

    public static class JControlModel.DictionaryPattern

extends java.lang.Object

Field Summary
`protected java.lang.String` `classPrefix`
`protected java.lang.String` `name`
`protected java.util.regex.Pattern` `pattern`
`protected JControlModel.Feature` `selectorFeature`
`protected static java.lang.Class<?>[]` `stringParameterType`

Constructor Summary
`JControlModel.DictionaryPattern(java.lang.String classPrefix)`
`JControlModel.DictionaryPattern(java.lang.String classPrefix, org.w3c.dom.Element element)`

Method Summary
`protected JControlModel.Feature` `createFeature(java.lang.String classPrefix, java.lang.String path, java.lang.Class<?>[] parameterTypes)`
`java.lang.String` `getClassPrefix()`
`java.lang.String` `getName()`
`java.util.regex.Pattern` `getPattern()`
`JControlModel.Feature` `getSelectorFeature()`
`void` `initialize(org.w3c.dom.Element element)`
`protected void` `setClassPrefix(java.lang.String classPrefix)`
`void` `setName(java.lang.String name)`
`void` `setPattern(java.util.regex.Pattern pattern)`
`void` `setSelectorFeature(JControlModel.Feature selectorFeature)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### stringParameterType

    protected static java.lang.Class<?>[] stringParameterType

### name

    protected java.lang.String name

### selectorFeature

    protected JControlModel.Feature selectorFeature

### pattern

    protected java.util.regex.Pattern pattern

### classPrefix

    protected java.lang.String classPrefix

Constructor Detail

### JControlModel.DictionaryPattern

    public JControlModel.DictionaryPattern(java.lang.String classPrefix)

### JControlModel.DictionaryPattern

    public JControlModel.DictionaryPattern(java.lang.String classPrefix,
                                           org.w3c.dom.Element element)

Method Detail

### initialize

    public void initialize(org.w3c.dom.Element element)

### createFeature

    protected JControlModel.Feature createFeature(java.lang.String classPrefix,
                                                  java.lang.String path,
                                                  java.lang.Class<?>[] parameterTypes)

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)

### getSelectorFeature

    public JControlModel.Feature getSelectorFeature()

### setSelectorFeature

    public void setSelectorFeature(JControlModel.Feature selectorFeature)

### getPattern

    public java.util.regex.Pattern getPattern()

### setPattern

    public void setPattern(java.util.regex.Pattern pattern)

### setClassPrefix

    protected void setClassPrefix(java.lang.String classPrefix)

### getClassPrefix

    public java.lang.String getClassPrefix()

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.